"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = require("./node");
const errors_1 = require("./errors");
class Control {
    constructor(key) {
        this.data = {};
        this.parent = null;
        this.key = key;
    }
    getNode() {
        if (this.parent instanceof node_1.Node) {
            return this.parent;
        }
        if (!this.parent || !this.parent.node) {
            throw new Error(errors_1.EngineError.ControlNotParented);
        }
        return this.parent.node;
    }
    getData(key) {
        return this.getNode().data.get(key);
    }
    putData(key, data) {
        this.getNode().data.set(key, data);
    }
    update() { }
}
exports.Control = Control;
//# sourceMappingURL=control.js.map