import { Emitter } from './emitter';
import { DefaultEvents, Events } from './events';
import { Component } from '../engine/component';
import { Plugin, PluginParams } from './plugin';
export declare class Context<EventTypes> extends Emitter<EventTypes & DefaultEvents> {
    id: string;
    plugins: Map<string, any>;
    components: Map<string, Component>;
    constructor(id: string, events: Events);
    use<T extends Plugin, O extends PluginParams<T>>(plugin: T, options: O): void;
    register(component: Component): void;
    destroy(): void;
}
